İçeriğe atla

Linux üzerinde Okular'ı kaynaklarından derlemek


Önceden derlenen paketleri arıyorsanız indirme sayfasına bakın. Paketleme durumuna buradan bakabilirsiniz.

Okular’ı derlemek istiyorsanız bir derleme ortamınızın olması gerekir. Bu, genelde dağıtımınız tarafından sağlanır. Okular’ın geliştirme sürümünü derlemek isterseniz lütfen KDE Topluluk Vikisi’ndeki Kaynaktan Yapma bölümüne bakın.

Okular’ı şöyle indirebilir ve derleyebilirsiniz:

  1. git clone https://invent.kde.org/graphics/okular.git
  2. cd okular
  3. mkdir build
  4. cd build
  5. cmake -DCMAKE_INSTALL_PREFIX=/kurulum/dizini/yolu ..
  6. make
  7. make install

Okular’ı sisteminizdeki kde kurulum dizininden farklı bir yola kurarsanız source build/prefix.sh; okular komutunu çalıştırmanız gerekebilir; böylece doğru Okular örneği ve kitaplıkları seçilir.

İsteğe bağlı paketler

Okular’da birkaç ek işleve daha sahip olmak için kurabileceğiniz birkaç ek paket vardır. Bazıları, dağıtımınızda halihazırda kurulu olabilir; ancak bazılarını kendinizin yüklemesi gerekebilir. Olası sorunlardan kaçınmak için dağıtımınızın sağladığı paketlerle sürdürün

  • Poppler (PDF arka ucu): PDF arka ucunu derlemek için Poppler kitaplığının en az 0.24 sürümü gereklidir
  • Libspectre: Bu PostScript (PS) arka ucunu derleyip kullanmak için libspectre sürüm 0.2 veya daha yükseği gereklidir. Dağıtımınız libspectre’yi paketlemediyse veya paketlenen sürüm yeterli değilse kitaplığı buradan indirebilirsiniz
  • DjVuLibre: DjVu arka ucunu derlemek için, DjVuLibre >= 3.5.17 gerekir. Libspectre’de olduğu gibi, dağıtımınızdan veya buradan alabilirsiniz.
  • libTIFF: TIFF ve faks desteği için gereklidir. Şu anda gereken en küçük sürüm yoktur, dolayısıyla dağıtımınızın sağladığı en yeni sürüm çalışmalıdır. Sorun çıkması durumunda lütfen Okular geliştiricileri ile iletişime geçmekten çekinmeyin.
  • libCHM: CHM arka ucunu derlemek için gereklidir. libTIFF’de olduğu gibi, bir en düşük sürüm gereksinimi bulunmaz
  • Libepub: EPub desteğine gereksiniminiz varsa bu kitaplığı dağıtımınızdan veya Sourceforge‘dan indirebilirsiniz.

Okular Kurulumunu Kaldırma

build dizininizde make uninstall çalıştırarak Okular’ı kaldırabilirsiniz. Bu, uygulamayı sisteminizden kaldırır. Okular ile görüntülediğiniz, oluşturduğunuz veya değiştirdiğiniz herhangi bir kullanıcı verisine dokunulmayacaktır.